#!/usr/bin/env python
#
# pycdda/util.py
#
# Copyright (c) 2001 Alan Eldridge. All rights reserved.
# 
# This program is free software; you can redistribute it and/or 
# modify it under the terms of the "Artistic License" which is 
# distributed with the software in the file LICENSE.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the Artistic
# License for more details.
# 
# $Id$
#
# 2001/05/28 jalane@sourceforge.net
#

import os

# msf_to_frm, frm_to_msf
# convert between (min,sec,frame) and absolute frame number

def msf_to_frm(msf):
    """Convert (Minutes,Secs,Frames) to Frames."""
    return (msf[0] * 60 + msf[1]) * 75 + msf[2]
def frm_to_msf(frm):
    """Convert Frames to (Minutes,Secs,Frames)."""
    return (frm / (60 * 75), (frm / 75) % 60, frm % 75)
    
# frm_to_sec, sec_to_frm
# convert between abs seconds and abs frames

def sec_to_frm(sec):
    """Convert seconds to frames."""
    return sec * 75
def frm_to_sec(frm):
    """Convert frames to seconds."""
    return frm / 75

#
#EOF
##
